# example_rf_tester.c File Reference

Simple utility to configure the ZNP to output an RF test signal. More...

`#include "../HAL/hal.h"`
`#include "../ZNP/znp_interface.h"`
`#include "../ZNP/znpRfTestInterface.h"`
`#include "znp_commands.h"`

#define | HARDWARE_UART
#define | NO_CHARACTER_RECEIVED 0xFF
signed int | znpResult
unsigned char | rfTestMode = RF_TEST_UNMODULATED
unsigned char | rfTestChannel = RF_TEST_CHANNEL_MIN
char | command = NO_CHARACTER_RECEIVED
void(* | debugConsoleIsr )(char)
void | handleDebugConsoleInterrupt (char rxByte)
void | printUsage ()
int | main (void)

## Detailed Description

Simple utility to configure the ZNP to output an RF test signal.

Configures ZNP interface, resets radio, and then processes typed commands. The ZNP can output either an RF carrier signal, or random modulated data. The user can change which test mode to use, channel (11-26), and turn off the transmitter. This utility can be used for radiated emissions compliance testing or tuning the RF circuit.

The Utility can be controlled through the simple command-line menu. See printUsage() for available commands. If, instead, you would like it to output one particular mode on startup, change `rfTestMode` and `rfTestChannel` accordingly.

Note:
  if ZNP_INTERFACE_VERBOSE is defined, this will display an error because the SYS_TEST_RF method does not return an SRSP. This error can be ignored.

See also:
  http://processors.wiki.ti.com/index.php/Tutorial_on_the_Examples and http://e2e.ti.com/support/low_power_rf/default.aspx

Rev
  602

Author
  dsmith

Date
  2010-06-16 13:09:46 -0700 (Wed, 16 Jun 2010)

YOU ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL TEXAS INSTRUMENTS OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

void handleDebugConsoleInterrupt | ( | char | rxByte | ) |

processes bytes received on the debug console

Method to handle bytes received on the debug console. Just stores it to the variable `command`. This gets called by the ISR in the hal file since we set the debugConsoleIsr function pointer (in hal file) to point to this function.

Method to handle bytes received on the debug console. This gets called by the ISR in the hal file since we set the debugConsoleIsr function pointer (in hal file) to point to this function.

## Variable Documentation

char command = NO_CHARACTER_RECEIVED

the command that was entered by the user

void(* debugConsoleIsr)(char)

function pointer (in hal file) for the function that gets called when a byte is received on the debug console.

unsigned char rfTestChannel = RF_TEST_CHANNEL_MIN

The current channel that the RF test mode is set to. Stored so that we can increment/decrement this channel easily. Change this if you want the application to start on a different channel.

unsigned char rfTestMode = RF_TEST_UNMODULATED

Which RF Test Mode we're in. Will be changed by the commands. Change this if you want the application to start in a different mode.

All Data Structures Files Functions Variables Defines